Skip to content
getgeolens.com

Create Collection Endpoint

POST
/catalog/collections/
curl --request POST \
--url https://example.com/api/catalog/collections/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "NYC Open Data", "description": "Datasets from the NYC Open Data portal" }'

Create a new collection.

Media type application/json
CollectionCreate
object
name
required
Name

Display name for the collection

string
>= 1 characters <= 255 characters
Example
NYC Open Data
description
Any of:
string
<= 2000 characters

Successful Response

Media type application/json
CollectionResponse
object
id
required
Id
string format: uuid
name
required
Name
string
description
required
Any of:
string
created_by
required
Any of:
string format: uuid
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
dataset_count
required
Dataset Count
integer
extent_bbox
Any of:
Array<number>
temporal_start
Any of:
string format: date
temporal_end
Any of:
string format: date
Example generated
{
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"name": "example",
"description": "example",
"created_by": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"created_at": "2026-04-15T12:00:00Z",
"updated_at": "2026-04-15T12:00:00Z",
"dataset_count": 1,
"extent_bbox": [
1
],
"temporal_start": "2026-04-15",
"temporal_end": "2026-04-15"
}

Bad request — invalid payload

Unauthorized — missing or invalid credentials

Forbidden — caller lacks write access

Not found

Conflict — resource state prevents the operation

Validation error

Internal server error